![alt text](http://www.titanframework.net/wp-content/uploads/2016/07/Titan-Framework-800x800-350x350.png "Titan Framework")
Titan Framework
=======

[![WordPress](https://img.shields.io/wordpress/v/titan-framework.svg)]()
[![WordPress plugin](https://img.shields.io/wordpress/plugin/v/titan-framework.svg)]()
[![Build Status](https://travis-ci.org/gambitph/Titan-Framework.svg?branch=master)](https://travis-ci.org/gambitph/Titan-Framework)
[![Slack](https://gambit-slackin.herokuapp.com/badge.svg)](https://gambit-slackin.herokuapp.com)
<!--[![Code Coverage](https://scrutinizer-ci.com/g/gambitph/Titan-Framework/badges/coverage.png?b=master)](https://scrutinizer-ci.com/g/gambitph/Titan-Framework/?branch=master)-->
<!--[![Scrutinizer Code Quality](https://scrutinizer-ci.com/g/gambitph/Titan-Framework/badges/quality-score.png?b=master)](https://scrutinizer-ci.com/g/gambitph/Titan-Framework/?branch=master)-->
<!-- [![Built with Gulp](https://img.shields.io/badge/built%20with-Gulp-red.svg)](http://gulpjs.com/) -->

*The easiest to use WordPress options framework.*

Titan Framework allows theme and plugin developers to create admin pages, options, meta boxes, and theme customizer options with just a few simple lines of code.

[Get it in the WordPress plugin repo](https://wordpress.org/plugins/titan-framework/)

[Generate your own Underscores + Titan Framework based WordPress theme](http://www.titanframework.net)

[Join the Community in Slack](https://gambit-slackin.herokuapp.com/)

#### Features
* Makes development unbelievably easy
* Built with optimization in mind
* Does NOT clutter the database
* Integrates with your project seamlessly
* Theme customizer live preview integration
* Supports child themes
* Automatic CSS generation with SCSS support

## Installing

1. You can install the latest stable release from the [wordpress.org plugin page](https://wordpress.org/plugins/titan-framework/) straight from your WordPress plugin page;

2. Or you can download the [master.zip file](https://github.com/gambitph/Titan-Framework/archive/master.zip) then install it as a WordPress plugin;

3. Alternatively, you can also install it via Composer into your wp-content/plugin folder:

```
curl -sS https://getcomposer.org/installer | php
php composer.phar create-project gambitph/titan-framework titan-framework
```

## Developing

If you want to help with the development of Titan Framework, we have a [Developing guide in the wiki](https://github.com/gambitph/Titan-Framework/wiki/Developing)

## Creating a WordPress Theme?

[Generate your own Underscores + Titan Framework based WordPress theme](http://www.titanframework.net)

## Getting Started With Titan Framework

Titan Framework aims to be easily used by everyone. The goal is to make it plug and play - just activate the plugin and start creating your options.

Read our guide on how to [get started with Titan Framework](http://wordpress.org/plugins/titan-framework/)


## Donate to the Development

If Titan Framework has helped you in any way, we would appreciate any amount of donations that you give us. Donations would mean more development time for the framework as I am continuously developing it during my free time.

[![Donate](https://www.paypalobjects.com/en_US/i/btn/btn_donateCC_LG.gif)](https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=9X7HJBGJ37VH6)


## Help Spread the Word on Titan Framework

Titan is super new, so far the framework has been getting good feedback from the community. Help out and spread the word by starring this repo, sending tweets, writing blog posts about what you think about Titan, and [review the plugin in the WordPress plugin repo](http://wordpress.org/support/view/plugin-reviews/titan-framework).


## Are You Using Titan Framework in Your Project?

Let us know so we can showcase it in the site! Send me a tweet at [@bfintal](http://twitter.com/bfintal)


## Contributing, Pull Requests Are Very Welcome

Have an idea for a cool option, or do you have a bug fix you want to implement? Please don't hessitate to place a *PR* (Pull Request).

PRs on these are welcome:
* Bug fixes
* Cool new options
* Cool new hooks
* WordPress standardization
* Code optimizations
* Anything under the sun as long as it's helpful :)

## Translations

We want Titan Framework to be used by everyone, and since not everyone speaks or reads english, we would appreciate it if you can [help translate the framework to your language](https://www.transifex.com/projects/p/titan-framework/).

#### Current Translations
* French (thanks @PunKeel)
* German (thanks @jascha)
* Italian (thanks @DavideVogliotti & Giuseppe Pignataro)
* Portuguese (thanks @pagelab)
* Spanish (thanks @maperezotero)
* Turkish (thanks @gurkankara)

## Important Links

* [WordPress plugin page](http://wordpress.org/plugins/titan-framework/)
* [Titan Framework main site](http://www.titanframework.net)
* [Documentation & tutorials](http://www.titanframework.net/docs)
* [Demo Theme with Titan Framework](https://github.com/gambitph/Titan-Framework-Demo-Theme)
* [Transifex project page](https://www.transifex.com/projects/p/titan-framework/)





